Fetch Tenants
curl --request GET \
--url https://{api_endpoint}/v1/tenants \
--header 'Authorization: Bearer <token>'import requests
url = "https://{api_endpoint}/v1/tenants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{api_endpoint}/v1/tenants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"title": "<string>",
"description": "<string>",
"created_on": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"created_by_username": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"settings": {
"model_settings": {
"base_llm": {
"model_name": "<string>",
"model_id": "<string>",
"model_params": {},
"guardrails": {
"hap": {
"input": {
"enabled": false,
"threshold": 0.5
},
"output": {
"enabled": false,
"threshold": 0.5
},
"mask": {
"remove_entity_value": false
}
},
"social_bias": {
"input": {
"enabled": false,
"threshold": 0.5
},
"output": {
"enabled": false,
"threshold": 0.5
},
"mask": {
"remove_entity_value": false
}
},
"pii": {
"input": {
"enabled": false,
"threshold": 0.5
},
"output": {
"enabled": false,
"threshold": 0.5
},
"mask": {
"remove_entity_value": false
}
}
},
"system_prompt": "<string>"
},
"embeddings": {
"model_name": "<string>",
"model_id": "<string>"
},
"is_base_llm_enabled": true
},
"router_settings": {
"router_type": "unified",
"model_name": "<string>",
"model_id": "<string>",
"model_params": {},
"routing_prompt": "<string>",
"router_config": {
"continue_journey_on_none": true,
"confidence_threshold": 123,
"confidence_method": "perplexity"
}
},
"user_settings": {
"confirm_routing": true,
"clear_watsonx_assistant_context": false,
"clientside_shortlisting": false
},
"slot_filling_settings": {
"slot_filler_type": "unified",
"model_name": "<string>",
"model_id": "<string>",
"model_params": {}
}
}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Tenant Management
Fetch Tenants
Fetch Tenants
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Response
Successful Response
⌘I

